<?xml version="1.0" encoding="UTF-8" ?>
<%@ page language="java" contentType="text/html; charset=ISO-8859-1"
    pageEncoding="UTF-8"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<%@page import="java.util.List"%>
<%@page import="mvc.Customer"%>
<%--  
<%@taglib prefix="c" uri="jstlCore" %>
<%@taglib prefix="fmt" uri="jstlI18n" %>
--%>
<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>

<fmt:setLocale value="hu_RO"/>
<c:set var="loc" value="hu_RO" scope="session"/>
<c:if test="${!empty param.loc}">
   <fmt:setLocale value="${param.loc}"/>
   <c:set var="loc" value="${param.loc}" scope="session" />
</c:if>   

<fmt:setBundle basename="resources.mvcResources"/>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; UTF-8" />
<title><fmt:message key="displayList.title"/></title>
</head>
<body>
<table cellspacing="3" cellpadding="3" border="1" width="500">
<tr>
	<td colspan="4"><h3><fmt:message key="displayList.title"/></h3></td>
</tr>
<tr>
	<th><fmt:message key="id"/></th>
	<th><fmt:message key="lastName"/></th>
	<th><fmt:message key="firstName"/></th>
	<th><fmt:message key="address"/></th>
</tr>

<c:forEach var="item" items="${requestScope.customers}">
<tr>
	<td>
		<a href="controller?action=displaycustomer&id=${item.id}">
			${item.id}
		</a>
	</td>
	<td>${item.lastName}</td>
	<td>${item.firstName}</td>
	<td>${item.address}</td>
</tr>
</c:forEach>
</table>

<br /><br />
<fmt:message key="displayList.date"/>: 
<fmt:formatDate value="${date}" type="date" dateStyle="long"/>
<br />
<fmt:formatNumber value="${amount}" type="currency" />
</body>
</html>